> For the complete documentation index, see [llms.txt](https://api-guide.etomars.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-guide.etomars.com/api-guide/invoice/label.md).

# label

## 배송바코드 PDF 리턴

## 배송바코드 PDF 리턴

> 배송 바코드의 PDF를 리턴합니다.

```json
{"openapi":"3.1.1","info":{"title":"web_api_v2","version":"v1"},"servers":[{"url":"https://api.etomars.com"}],"paths":{"/api/v1/invoice/label/barcode":{"post":{"tags":["Invoice"],"summary":"배송바코드 PDF 리턴","description":"배송 바코드의 PDF를 리턴합니다.","operationId":"Invoice_GetShippingBarcode","responses":{"200":{"description":"sucess","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComGetRes[GetShippingFileRes]"}},"text/json":{"schema":{"$ref":"#/components/schemas/ComGetRes[GetShippingFileRes]"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ComGetRes[GetShippingFileRes]"}},"text/xml":{"schema":{"$ref":"#/components/schemas/ComGetRes[GetShippingFileRes]"}}}},"400":{"description":"Valid Fail","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}},"text/xml":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetShippingBarcodeReq"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetShippingBarcodeReq"}},"application/xml":{"schema":{"$ref":"#/components/schemas/GetShippingBarcodeReq"}},"text/xml":{"schema":{"$ref":"#/components/schemas/GetShippingBarcodeReq"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/GetShippingBarcodeReq"}}},"description":"요청 데이터","required":true}}}},"components":{"schemas":{"ComGetRes[GetShippingFileRes]":{"description":"코드/ 메시지와 함께 조회결과 데이터 목록을 전송","type":"object","properties":{"Data":{"type":"array","items":{"$ref":"#/components/schemas/GetShippingFileRes"}},"Message":{"type":"string"},"Code":{"format":"int32","type":"integer"}}},"GetShippingFileRes":{"type":"object","properties":{"FileType":{"description":"파일타입","type":"string"},"LabelType":{"description":"라벨타입","type":"string"},"LabelWidth":{"format":"int32","description":"가로","type":"integer"},"LabelHeight":{"format":"int32","description":"세로","type":"integer"},"Base64":{"description":"Base64","type":"string"}}},"ComDataResponse":{"description":"실행결과 데이터 혹은 에러를 리턴","type":"object","properties":{"Data":{"type":"array","items":{"type":"object"}},"Error":{"type":"array","items":{"type":"object"}},"Message":{"type":"string"},"Code":{"format":"int32","type":"integer"}}},"GetShippingBarcodeReq":{"required":["ApiKey"],"type":"object","properties":{"LabelType":{"description":"라벨타입","type":"string"},"FileType":{"description":"파일타입","type":"string"},"RegNoList":{"description":"접수번호 리스트","type":"array","items":{"type":"string"}},"ApiKey":{"description":"APIKey\r\nTest KEY:7abd72462c794016849abe4be","type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-guide.etomars.com/api-guide/invoice/label.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
